Skip to content

Register Connection

POST
/api/v1/connections

Register a new database connection.

ConnectionCreate
object
name
required
Name

Human-readable label for this database connection.

string
>= 1 characters <= 200 characters
db_type
required
Db Type

Database provider type. ‘supabase’, ‘postgres_gcp’, ‘postgresql_local’, ‘postgresql_aws’, or ‘postgresql’.

string
/^(supabase|postgres_gcp|postgresql_local|postgresql_aws|postgresql)$/
connection_string
required
Connection String

Full PostgreSQL connection URI including credentials. Encrypted at rest after registration.

string
>= 10 characters
excluded_schemas
Excluded Schemas

Schema names to exclude from default introspection. Defaults to Supabase internal schemas (auth, storage, realtime, extensions, vault, pgsodium, graphql, graphql_public) per D-10. Pass empty list [] to exclude nothing.

Array<string>

Successful Response

ConnectionCreateResponse

Response for POST /connections.

object
success
required
Success

Whether the request succeeded.

boolean
data
Any of:
ConnectionResponse
object
id
required
Id

Unique identifier for the connection.

string format: uuid
name
required
Name

Human-readable label assigned during registration.

string
db_type
required
Db Type

Database provider type. ‘supabase’ or ‘postgres_gcp’.

string
host
required
Host

Database server hostname extracted from the connection string.

string
port
required
Port

Database server port number.

integer
database_name
required
Database Name

Name of the target database on the server.

string
excluded_schemas
Excluded Schemas

Schema names excluded from default introspection for this connection.

Array<string>
is_active
required
Is Active

Whether this connection is active. Inactive connections are soft-deleted.

boolean
created_at
required
Created At

Timestamp when the connection was registered.

string format: date-time
last_introspected_at
Any of:
string format: date-time
error
Any of:
ErrorDetail
object
code
required
Code

Machine-readable error code (e.g., ‘NOT_FOUND’, ‘VALIDATION_ERROR’).

string
message
required
Message

Human-readable error message describing what went wrong.

string
details
Any of:

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object